package com.hellbreecher.arcanum.common.core;

import com.hellbreecher.arcanum.client.renderer.ItemRendererRegister;
import com.hellbreecher.arcanum.common.handler.IDictionaryRegistry;
import com.hellbreecher.arcanum.common.items.itemBloodDiamond;
import com.hellbreecher.arcanum.common.items.itemBloodDiamondStick;
import com.hellbreecher.arcanum.common.items.itemEmptyCan;
import com.hellbreecher.arcanum.common.items.itemGreenSapphire;
import com.hellbreecher.arcanum.common.items.itemGreenSapphireCoal;
import com.hellbreecher.arcanum.common.items.itemHammer;
import com.hellbreecher.arcanum.common.items.itemInfernalDiamond;
import com.hellbreecher.arcanum.common.items.itemMountainDewMix;
import com.hellbreecher.arcanum.common.items.itemQuartzStick;
import com.hellbreecher.arcanum.common.items.itemRedCup;
import com.hellbreecher.arcanum.common.items.itemVoidDiamond;
import net.minecraft.item.Item;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.event.RegistryEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.registries.IForgeRegistry;

/* loaded from: com_hellbreecher_arcanum_common_core.jar:com/hellbreecher/arcanum/common/core/ArcanumItems.class */
public class ArcanumItems extends IDictionaryRegistry {

    @GameRegistry.ObjectHolder("arcanum:greensapphire")
    public static Item itemGreenSapphire = new itemGreenSapphire();

    @GameRegistry.ObjectHolder("arcanum:blooddiamond")
    public static Item itemBloodDiamond = new itemBloodDiamond();

    @GameRegistry.ObjectHolder("arcanum:voiddiamond")
    public static Item itemVoidDiamond = new itemVoidDiamond();

    @GameRegistry.ObjectHolder("arcanum:quartzstick")
    public static Item itemQuartzStick = new itemQuartzStick();

    @GameRegistry.ObjectHolder("arcanum:blooddiamondsitck")
    public static Item itemBloodDiamondStick = new itemBloodDiamondStick();

    @GameRegistry.ObjectHolder("arcanum:infernaldiamond")
    public static Item itemInfernalDiamond = new itemInfernalDiamond();

    @GameRegistry.ObjectHolder("arcanum:emptycan")
    public static Item itemEmptyCan = new itemEmptyCan();

    @GameRegistry.ObjectHolder("arcanum:redcup")
    public static Item itemRedCup = new itemRedCup();

    @GameRegistry.ObjectHolder("arcanum:mountaindewmix")
    public static Item itemMountainDewMix = new itemMountainDewMix();

    @GameRegistry.ObjectHolder("arcanum:hammer")
    public static Item itemHammer = new itemHammer();

    @GameRegistry.ObjectHolder("arcanum:greensapphirecoal")
    public static Item itemGSCoal = new itemGreenSapphireCoal();

    @Mod.EventBusSubscriber(modid = "arcanum")
    /* loaded from: com_hellbreecher_arcanum_common_core.jar:com/hellbreecher/arcanum/common/core/ArcanumItems$Registration.class */
    public static class Registration {
        @SubscribeEvent
        public static void registerItems(RegistryEvent.Register<Item> event) {
            IForgeRegistry<Item> itemRegistry = event.getRegistry();
            itemRegistry.register(ArcanumItems.itemGreenSapphire);
            itemRegistry.register(ArcanumItems.itemBloodDiamond);
            itemRegistry.register(ArcanumItems.itemVoidDiamond);
            itemRegistry.register(ArcanumItems.itemQuartzStick);
            itemRegistry.register(ArcanumItems.itemBloodDiamondStick);
            itemRegistry.register(ArcanumItems.itemInfernalDiamond);
            itemRegistry.register(ArcanumItems.itemEmptyCan);
            itemRegistry.register(ArcanumItems.itemRedCup);
            itemRegistry.register(ArcanumItems.itemMountainDewMix);
            itemRegistry.register(ArcanumItems.itemHammer);
            itemRegistry.register(ArcanumItems.itemGSCoal);
        }

        @SubscribeEvent
        public static void registerModels(ModelRegistryEvent event) {
            ItemRendererRegister.registerItemRenderer();
        }
    }
}
